Error
A valid request URL is required to generate request examples{
"results": {
"dryRun": true,
"affectedCharts": [
{
"name": "<string>",
"uuid": "<string>"
}
],
"customMetrics": [
{
"type": "percentile",
"sql": "<string>",
"table": "<string>",
"name": "<string>",
"label": "<string>",
"description": "<string>",
"hidden": true,
"round": 123,
"compact": "auto",
"format": "km",
"separator": "default",
"index": 123,
"filters": [
{
"operator": "isNull",
"id": "<string>",
"target": {
"fieldRef": "<string>"
},
"includeNull": true,
"values": [
"<unknown>"
],
"settings": "<unknown>",
"disabled": true,
"required": true,
"caseSensitive": true
}
],
"baseDimensionName": "<string>",
"baseMetricName": "<string>",
"uuid": "<string>",
"percentile": 123,
"distinctKeys": [
"<string>"
],
"formatOptions": {
"type": "default",
"round": 123,
"separator": "default",
"currency": "<string>",
"compact": "auto",
"prefix": "<string>",
"suffix": "<string>",
"timeInterval": "RAW",
"custom": "<string>"
},
"generationType": "periodOverPeriod",
"baseMetricId": "<string>",
"timeDimensionId": "<string>",
"granularity": "RAW",
"periodOffset": 123
}
]
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Dashboards
Update dashboard custom metric
Edit a dashboard registry custom metric. Swaps the registry entry and
re-versions every dashboard-owned chart that references it, atomically.
With dryRun it only reports the charts that would change.
PATCH
/
api
/
v1
/
dashboards
/
{dashboardUuidOrSlug}
/
custom-metrics
Error
A valid request URL is required to generate request examples{
"results": {
"dryRun": true,
"affectedCharts": [
{
"name": "<string>",
"uuid": "<string>"
}
],
"customMetrics": [
{
"type": "percentile",
"sql": "<string>",
"table": "<string>",
"name": "<string>",
"label": "<string>",
"description": "<string>",
"hidden": true,
"round": 123,
"compact": "auto",
"format": "km",
"separator": "default",
"index": 123,
"filters": [
{
"operator": "isNull",
"id": "<string>",
"target": {
"fieldRef": "<string>"
},
"includeNull": true,
"values": [
"<unknown>"
],
"settings": "<unknown>",
"disabled": true,
"required": true,
"caseSensitive": true
}
],
"baseDimensionName": "<string>",
"baseMetricName": "<string>",
"uuid": "<string>",
"percentile": 123,
"distinctKeys": [
"<string>"
],
"formatOptions": {
"type": "default",
"round": 123,
"separator": "default",
"currency": "<string>",
"compact": "auto",
"prefix": "<string>",
"suffix": "<string>",
"timeInterval": "RAW",
"custom": "<string>"
},
"generationType": "periodOverPeriod",
"baseMetricId": "<string>",
"timeDimensionId": "<string>",
"granularity": "RAW",
"periodOffset": 123
}
]
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Path Parameters
uuid or slug for the dashboard A resource UUID or its URL slug. Resolve to a real UUID before using as a key.
Query Parameters
Body
application/json
Was this page helpful?